Name: xmms-cdread
Version: 0.14a
Release: alt3

Summary: Input plugin that reads audio data from CDs
License: GPL
Group: Sound
# Author: Willem-Jan Monsuwe <willem@stack.nl>

Source: ftp://mud.stack.nl/pub/OuterSpace/willem/%name-%version.tar.bz2
Patch0: %name-fini.patch
Patch1: %name-0.14a-std-headers.patch
Patch2: %name-0.14a-includedir.patch

Requires: xmms

%description
This is an alternative to the xmms audio CD plugin with advanced features.

%prep
%setup -q
%patch0 -p1 -b .fini
%patch1 -p1 -b .header
%patch2 -p1 -b .includedir

# after patch 1
%__aclocal
%__automake -a -c
%__autoconf

%build
%configure
%make_build

%install
%makeinstall libdir=$RPM_BUILD_ROOT%_libdir/xmms/Input

%files
%_libdir/xmms/Input/libcdread.so
%doc AUTHORS TODO ChangeLog NEWS README

%changelog
* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.14a-alt3
- Rebuild for new Sisyphus
- build fixes for gcc 3.x

* Thu Dec 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.14a-alt2
- Automatically added buildrequires

* Sat Dec 01 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.14a-alt1
- Adopted to ALT Linux, spec cleanup

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.14a-1mdk
- new version
- fix obsolete-tag Copyright
- fix invalid-distribution Linux-Mandrake

* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- rebuild

* Tue May 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- bump to 0.11c to comply with xmms-1.2.5 interface

* Fri May 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9a-3mdk
- Rebuild.

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9a-2mdk
- build for release

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9a-1mdk
- updated to 0.9a
- patch cdread.c to avoid function conflict

* Tue Oct  3 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.8a-1mdk
- initial Mandrake build

